## org.jboss.netty.handler.codec.rtsp
Class RtspHeaders.Values

    java.lang.Object
      org.jboss.netty.handler.codec.rtsp.RtspHeaders.Values

Enclosing class:
  RtspHeaders

    public static final class RtspHeaders.Values

extends Object

Standard RTSP header values.

Version:
  $Rev: 2243 $, $Date: 2010-04-16 14:01:55 +0900 (Fri, 16 Apr 2010) $
Author:
  The Netty Project, Trustin Lee

Field Summary
`static String` `APPEND` `"append"`
`static String` `AVP` `"AVP"`
`static String` `BYTES` `"bytes"`
`static String` `CHARSET` `"charset"`
`static String` `CLIENT_PORT` `"client_port"`
`static String` `CLOCK` `"clock"`
`static String` `CLOSE` `"close"`
`static String` `COMPRESS` `"compress"`
`static String` `CONTINUE` `"100-continue"`
`static String` `DEFLATE` `"deflate"`
`static String` `DESTINATION` `"destination"`
`static String` `GZIP` `"gzip"`
`static String` `IDENTITY` `"identity"`
`static String` `INTERLEAVED` `"interleaved"`
`static String` `KEEP_ALIVE` `"keep-alive"`
`static String` `LAYERS` `"layers"`
`static String` `MAX_AGE` `"max-age"`
`static String` `MAX_STALE` `"max-stale"`
`static String` `MIN_FRESH` `"min-fresh"`
`static String` `MODE` `"mode"`
`static String` `MULTICAST` `"multicast"`
`static String` `MUST_REVALIDATE` `"must-revalidate"`
`static String` `NO_CACHE` `"no-cache"`
`static String` `NO_TRANSFORM` `"no-transform"`
`static String` `NONE` `"none"`
`static String` `ONLY_IF_CACHED` `"only-if-cached"`
`static String` `PORT` `"port"`
`static String` `PRIVATE` `"private"`
`static String` `PROXY_REVALIDATE` `"proxy-revalidate"`
`static String` `PUBLIC` `"public"`
`static String` `RTP` `"RTP"`
`static String` `RTPTIME` `"rtptime"`
`static String` `SEQ` `"seq"`
`static String` `SERVER_PORT` `"server_port"`
`static String` `SSRC` `"ssrc"`
`static String` `TCP` `"TCP"`
`static String` `TIME` `"time"`
`static String` `TIMEOUT` `"timeout"`
`static String` `TTL` `"ttl"`
`static String` `UDP` `"UDP"`
`static String` `UNICAST` `"unicast"`
`static String` `URL` `"url"`

Constructor Summary
`protected` `RtspHeaders.Values()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPEND

    public static final String APPEND

  `"append"`

  See Also:
    Constant Field Values

### AVP

    public static final String AVP

  `"AVP"`

  See Also:
    Constant Field Values

### BYTES

    public static final String BYTES

  `"bytes"`

  See Also:
    Constant Field Values

### CHARSET

    public static final String CHARSET

  `"charset"`

  See Also:
    Constant Field Values

### CLIENT_PORT

    public static final String CLIENT_PORT

  `"client_port"`

  See Also:
    Constant Field Values

### CLOCK

    public static final String CLOCK

  `"clock"`

  See Also:
    Constant Field Values

### CLOSE

    public static final String CLOSE

  `"close"`

  See Also:
    Constant Field Values

### COMPRESS

    public static final String COMPRESS

  `"compress"`

  See Also:
    Constant Field Values

### CONTINUE

    public static final String CONTINUE

  `"100-continue"`

  See Also:
    Constant Field Values

### DEFLATE

    public static final String DEFLATE

  `"deflate"`

  See Also:
    Constant Field Values

### DESTINATION

    public static final String DESTINATION

  `"destination"`

  See Also:
    Constant Field Values

### GZIP

    public static final String GZIP

  `"gzip"`

  See Also:
    Constant Field Values

### IDENTITY

    public static final String IDENTITY

  `"identity"`

  See Also:
    Constant Field Values

### INTERLEAVED

    public static final String INTERLEAVED

  `"interleaved"`

  See Also:
    Constant Field Values

### KEEP_ALIVE

    public static final String KEEP_ALIVE

  `"keep-alive"`

  See Also:
    Constant Field Values

### LAYERS

    public static final String LAYERS

  `"layers"`

  See Also:
    Constant Field Values

### MAX_AGE

    public static final String MAX_AGE

  `"max-age"`

  See Also:
    Constant Field Values

### MAX_STALE

    public static final String MAX_STALE

  `"max-stale"`

  See Also:
    Constant Field Values

### MIN_FRESH

    public static final String MIN_FRESH

  `"min-fresh"`

  See Also:
    Constant Field Values

### MODE

    public static final String MODE

  `"mode"`

  See Also:
    Constant Field Values

### MULTICAST

    public static final String MULTICAST

  `"multicast"`

  See Also:
    Constant Field Values

### MUST_REVALIDATE

    public static final String MUST_REVALIDATE

  `"must-revalidate"`

  See Also:
    Constant Field Values

### NONE

    public static final String NONE

  `"none"`

  See Also:
    Constant Field Values

### NO_CACHE

    public static final String NO_CACHE

  `"no-cache"`

  See Also:
    Constant Field Values

### NO_TRANSFORM

    public static final String NO_TRANSFORM

  `"no-transform"`

  See Also:
    Constant Field Values

### ONLY_IF_CACHED

    public static final String ONLY_IF_CACHED

  `"only-if-cached"`

  See Also:
    Constant Field Values

### PORT

    public static final String PORT

  `"port"`

  See Also:
    Constant Field Values

### PRIVATE

    public static final String PRIVATE

  `"private"`

  See Also:
    Constant Field Values

### PROXY_REVALIDATE

    public static final String PROXY_REVALIDATE

  `"proxy-revalidate"`

  See Also:
    Constant Field Values

### PUBLIC

    public static final String PUBLIC

  `"public"`

  See Also:
    Constant Field Values

### RTP

    public static final String RTP

  `"RTP"`

  See Also:
    Constant Field Values

### RTPTIME

    public static final String RTPTIME

  `"rtptime"`

  See Also:
    Constant Field Values

### SEQ

    public static final String SEQ

  `"seq"`

  See Also:
    Constant Field Values

### SERVER_PORT

    public static final String SERVER_PORT

  `"server_port"`

  See Also:
    Constant Field Values

### SSRC

    public static final String SSRC

  `"ssrc"`

  See Also:
    Constant Field Values

### TCP

    public static final String TCP

  `"TCP"`

  See Also:
    Constant Field Values

### TIME

    public static final String TIME

  `"time"`

  See Also:
    Constant Field Values

### TIMEOUT

    public static final String TIMEOUT

  `"timeout"`

  See Also:
    Constant Field Values

### TTL

    public static final String TTL

  `"ttl"`

  See Also:
    Constant Field Values

### UDP

    public static final String UDP

  `"UDP"`

  See Also:
    Constant Field Values

### UNICAST

    public static final String UNICAST

  `"unicast"`

  See Also:
    Constant Field Values

### URL

    public static final String URL

  `"url"`

  See Also:
    Constant Field Values

Constructor Detail

### RtspHeaders.Values

    protected RtspHeaders.Values()

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.